package com.jasamedika.medifirst2000.vo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PemeriksaanFisikVO extends BaseTransactionVO{
	
	@ManyToOne
	@JoinColumn(name = "ObjectPraAnestesiDokterFk")
	@Caption(value="PraAnestesiDokter")
	private PraAnestesiDokterVO praAnestesiDokter;
		
	@ManyToOne
	@JoinColumn(name = "ObjectKlasifikasiASAFk")
	@NotNull(message="KlasifikasiASA tidak boleh kosong")
	@Caption(value="Object KlasifikasiASA")
	private KlasifikasiASAVO klasifikasiASA;
	
	@OneToMany(cascade=CascadeType.ALL,fetch = FetchType.LAZY, mappedBy = "pemeriksaanFisik")
	private Set<PenyulitAnestesiVO> penyulitAnestesi=new HashSet<PenyulitAnestesiVO>();
	
	@Column(name = "Hb_Ht")
	@Caption(value="Hb_Ht")
	private String hb_ht;
	
	@Column(name = "leukosit")
	@Caption(value="Leukosit")
	private String leukosit;
	
	@Column(name = "trombosit")
	@Caption(value="Trombosit")
	private String trombosit;
	
	@Column(name = "ptAptt")
	@Caption(value="PT/APTT")
	private String ptAptt;
	
	@Column(name = "DiagnosaMedis")
	@Caption(value="Diagnosa Medis")
	private String diagnosaMedis;
	
	@Column(name = "JenisTindakan")
	@Caption(value="Jenis Tindakan")
	private String jenisTindakan;
	
	@Column(name = "JenisAnestesi")
	@Caption(value="Jenis Anestesi")
	private String jenisAnestesi;
	
	@Column(name = "Catatan")
	@Caption(value="Catatan")
	private String catatan;
	
	@Column(name = "CatatanTindakLanjut")
	@Caption(value="Catatan Tindak Lanjut")
	private String catatanTindakLanjut;

	public KlasifikasiASAVO getKlasifikasiASA() {
		return klasifikasiASA;
	}

	public void setKlasifikasiASA(KlasifikasiASAVO klasifikasiASA) {
		this.klasifikasiASA = klasifikasiASA;
	}

	public Set<PenyulitAnestesiVO> getPenyulitAnestesi() {
		return penyulitAnestesi;
	}

	public void setPenyulitAnestesi(Set<PenyulitAnestesiVO> penyulitAnestesi) {
		this.penyulitAnestesi = penyulitAnestesi;
	}

	public String getHb_ht() {
		return hb_ht;
	}

	public void setHb_ht(String hb_ht) {
		this.hb_ht = hb_ht;
	}

	public String getLeukosit() {
		return leukosit;
	}

	public void setLeukosit(String leukosit) {
		this.leukosit = leukosit;
	}

	public String getTrombosit() {
		return trombosit;
	}

	public void setTrombosit(String trombosit) {
		this.trombosit = trombosit;
	}

	public String getPtAptt() {
		return ptAptt;
	}

	public void setPtAptt(String ptAptt) {
		this.ptAptt = ptAptt;
	}

	public String getDiagnosaMedis() {
		return diagnosaMedis;
	}

	public void setDiagnosaMedis(String diagnosaMedis) {
		this.diagnosaMedis = diagnosaMedis;
	}

	public String getJenisTindakan() {
		return jenisTindakan;
	}

	public void setJenisTindakan(String jenisTindakan) {
		this.jenisTindakan = jenisTindakan;
	}

	public String getJenisAnestesi() {
		return jenisAnestesi;
	}

	public void setJenisAnestesi(String jenisAnestesi) {
		this.jenisAnestesi = jenisAnestesi;
	}

	public String getCatatan() {
		return catatan;
	}

	public void setCatatan(String catatan) {
		this.catatan = catatan;
	}

	public String getCatatanTindakLanjut() {
		return catatanTindakLanjut;
	}

	public void setCatatanTindakLanjut(String catatanTindakLanjut) {
		this.catatanTindakLanjut = catatanTindakLanjut;
	}

	public PraAnestesiDokterVO getPraAnestesiDokter() {
		return praAnestesiDokter;
	}

	public void setPraAnestesiDokter(PraAnestesiDokterVO praAnestesiDokter) {
		this.praAnestesiDokter = praAnestesiDokter;
	}

}
